forgejo data directory exists:
  file.directory:
    - name: /opt/forgejo/data
    - makedirs: True

forgejo docker container running:
  docker_container.running:
    - name: forgejo
    - image: {{ salt['pillar.get']('forgejo:image:path', 'codeberg.org/forgejo/forgejo') }}:{{ salt['pillar.get']('forgejo:image:version', '1.19') }}
    - container_name: forgejo
    - environment:
      - USER_UID=1000
      - USER_GID=1000
      - FORGEJO__default__APP_NAME={{ salt['pillar.get']('forgejo:config:default:app_name', 'forgejo') }}
      - FORGEJO__ui__SHOW_USER_EMAIL={{ salt['pillar.get']('forgejo:config:ui:show_user_email', 'false') }}
      - FORGEJO__server__ROOT_URL={{ salt['pillar.get']('forgejo:config:server:root_url', 'http://localhost') }}
      - FORGEJO__server__DOMAIN={{ salt['pillar.get']('forgejo:config:server:domain', 'localhost') }}
      - FORGEJO__server__SSH_PORT={{ salt['pillar.get']('forgejo:config:server:ssh_port', 22) }}
      - FORGEJO__server__SSH_DOMAIN={{ salt['pillar.get']('forgejo:config:server:ssh_domain', 'localhost') }}
      - FORGEJO__server__START_SSH_SERVER={{ salt['pillar.get']('forgejo:config:server:start_ssh_server', "false") }}
      - FORGEJO__service__DISABLE_REGISTRATION={{ salt['pillar.get']('forgejo:config:service:disable_registration', "true") }}
    - restart: always
    - networks:
      - bridge
    - extra_hosts:
      - ldap.flipdot.space:192.168.3.233
    - binds:
      - /opt/forgejo/data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    - port_bindings:
      - "{{ salt['pillar.get']('forgejo:container_web_port', "127.0.0.1:3000") }}:3000"
      - "{{ salt['pillar.get']('forgejo:config:server:ssh_port', 22) }}:22"
